Update notification preferences snapshot
PATCH
/v1/settings/notificationsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonsettingsSettingsNotificationItem[] | nullrequiredShow propertiesHide properties
Array of
SettingsNotificationItemdescriptionstringrequiredenabledbooleanrequiredkeystringrequiredlabelstringrequiredResponses
200OK
itemsSettingsNotificationItem[] | nullrequiredShow propertiesHide properties
Array of
SettingsNotificationItemdescriptionstringrequiredenabledbooleanrequiredkeystringrequiredlabelstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/settings/notifications" \
-H "Content-Type: application/json" \
-d '{
"settings": [
{
"description": "string",
"enabled": true,
"key": "string",
"label": "string"
}
]
}'const response = await fetch("/v1/settings/notifications", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"settings": [
{
"description": "string",
"enabled": true,
"key": "string",
"label": "string"
}
]
})
});import requests
response = requests.patch(
"/v1/settings/notifications",
headers={
"Content-Type": "application/json"
},
json={
"settings": [
{
"description": "string",
"enabled": True,
"key": "string",
"label": "string"
}
]
},
)Response
{
"items": [
{
"description": "string",
"enabled": true,
"key": "string",
"label": "string"
}
]
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}